package com.ruoyi.system.service.impl;

import com.ruoyi.system.domain.PoCollection;
import com.ruoyi.system.mapper.PoCollectionMapper;
import com.ruoyi.system.service.IPoCollectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class PoCollectionServiceImpl implements IPoCollectionService {
    @Autowired
    PoCollectionMapper poCollectionMapper;

    /**
     * 根据Id查询
     *
     * @param collectionIdList 要查询的藏品ID表
     * @return 藏品ID对应的藏品
     */
    @Override
    public List<PoCollection> selectCollectionByCollectionId(Long[] collectionIdList) {
        return null;
    }

    /**
     * 获取符合要求的藏品
     *
     * @param collection 搜索的藏品信息
     * @return 符合要求的藏品，默认为全部藏品
     */
    @Override
    public List<PoCollection> selectCollections(PoCollection collection) {
        return null;
    }

    /**
     * 获取藏品详细内容
     *
     * @param collectionId 藏品ID
     * @return 藏品信息
     */
    @Override
    public PoCollection selectCollectionById(Long collectionId) {
        return null;
    }

    /**
     * 增加
     *
     * @param collection 藏品信息
     * @return 操作状态
     */
    @Override
    public int insertCollection(PoCollection collection) {
        List<PoCollection> poCollection = poCollectionMapper.selectPoCollectionList(collection);
        if (poCollection != null)
            return -1;
        return poCollectionMapper.insertPoCollection(collection);
    }

    /**
     * 修改
     *
     * @param collection 更新的藏品信息
     * @return 操作状态
     */
    @Override
    public int updateCollection(PoCollection collection) {
        return poCollectionMapper.updatePoCollection(collection);
    }

    /**
     * 批量删除
     *
     * @param collectionIds 藏品ID
     * @return 操作状态
     */
    @Override
    public int deleteCollectionByIds(Long[] collectionIds) {
        return 0;
    }

    /**
     * 单个删除
     *
     * @param collectionId 藏品ID
     * @return 操作状态
     */
    @Override
    public int deleteCollectionById(Long collectionId) {
        return 0;
    }
}
